/*
* MiniGUI Grid Demo
* (c) 2005 Roberto Lopez
*/

#include "minigui.ch"

Function Main

Local aRows [20] [3]

 Private fColor := { || if ( This.CellRowIndex/2 == int(This.CellRowIndex/2) , { 0,0,255 } , { 0,255,0 } ) }	

 SET DATE TO BRITISH

	DEFINE WINDOW Form_1 ;
		AT 0,0 ;
		WIDTH 640 ;
		HEIGHT 400 ;
		TITLE 'Mixed Data Type Grid Test' ;
		MAIN 

		DEFINE MAIN MENU
			DEFINE POPUP 'File'
				MENUITEM 'Set Item'	ACTION SetItem()
				MENUITEM 'Get Item'	ACTION GetItem()
			END POPUP
		END MENU

		aRows [1]	:= {113.12,date(),1,1 , .t., '01/01/09', 'TEXTO 01' }
		aRows [2]	:= {123.12,date(),2,2 , .f., '01/02/09', 'TEXTO 05' } 
		aRows [3]	:= {133.12,date(),3,3 , .t., '01/03/09', 'TEXTO 02' } 
		aRows [4]	:= {143.12,date(),1,4 , .f., '01/04/09', 'TEXTO 01' } 
		aRows [5]	:= {153.12,date(),2,5 , .t., '01/05/09', 'TEXTO 05' } 
		aRows [6]	:= {163.12,date(),3,6 , .f., '01/06/09', 'TEXTO 02' } 
		aRows [7]	:= {173.12,date(),1,7 , .t., '01/07/09', 'TEXTO 01' } 
		aRows [8]	:= {183.12,date(),2,8 , .f., '01/08/09', 'TEXTO 05' } 
		aRows [9]	:= {193.12,date(),3,9 , .t., '01/09/09', 'TEXTO 02' } 
		aRows [10]	:= {113.12,date(),1,10, .f., '01/10/09', 'TEXTO 01' } 
		aRows [11]	:= {123.12,date(),2,11, .t., '01/11/09', 'TEXTO 05' } 
		aRows [12]	:= {133.12,date(),3,12, .f., '01/12/09', 'TEXTO 02' } 
		aRows [13]	:= {143.12,date(),1,13, .t., '01/01/09', 'TEXTO 01' } 
		aRows [14]	:= {153.12,date(),2,14, .f., '01/02/09', 'TEXTO 05' } 
		aRows [15]	:= {163.12,date(),3,15, .t., '01/03/09', 'TEXTO 02' } 
		aRows [16]	:= {173.12,date(),1,16, .f., '01/04/09', 'TEXTO 01' } 
		aRows [17]	:= {183.12,date(),2,17, .t., '01/05/09', 'TEXTO 05' } 
		aRows [18]	:= {193.12,date(),3,18, .f., '01/06/09', 'TEXTO 02' } 
		aRows [19]	:= {113.12,date(),1,19, .t., '01/07/09', 'TEXTO 01' } 
		aRows [20]	:= {123.12,date(),2,20, .f., '01/08/09', 'TEXTO 05' } 

		@ 10,10 GRID Grid_1 ;
			WIDTH 620 ;
			HEIGHT 330 ;
			HEADERS {'Column 1','Column 2','Column 3','Column 4','Column 5','Column 6','Column 7'} ;
                        ON HEADCLICK { {||GRIDSETORDER(1)},{||GRIDSETORDER(2)},{||GRIDSETORDER(3)}, ;
                                       {||GRIDSETORDER(4)},{||GRIDSETORDER(5)},{||GRIDSETORDER(6)}, ;
                                       {||GRIDSETORDER(7)} } ;
			WIDTHS {40,70,40,40,40,70,100} ;
			ITEMS aRows ;
			EDIT 


	END WINDOW

	CENTER WINDOW Form_1

	ACTIVATE WINDOW Form_1

Return

PROCEDURE SETITEM()

	Form_1.Grid_1.Item (2) := { 123.45 , date() , 2 , 10 , .T.,'01/04/09' }

RETURN

PROCEDURE GETITEM()
local a

	a := Form_1.Grid_1.Item (2) 

	msginfo ( str ( a [1] )				, '1' )
	msginfo ( dtoc ( a [2] )			, '2' )
	msginfo ( str( a [3] )				, '3' )
	msginfo ( str ( a [4] )				, '4' )
	msginfo ( if ( a [5] == .t. , '.t.' , '.f.' )	, '5' )
	msginfo ( a [6] 				, '6' )
	msginfo ( a [7] 				, '7' )


RETURN

#Include "grid_ord.prg"
#Include "str_func.prg"

